## HOWTO V-Raptor SQ nano
V-Raptor SQ nano 를 사용하는 방법과 활용해볼 수 있는 예제 프로젝트 등을 제공하는 곳입니다
>    다양한 게시물이 지속적으로 업로드될 예정입니다

## 매뉴얼 다운로드
- [V-Raptor SQ nano 매뉴얼(국문)_1117.pdf](/files/20058) 

## 시작하기
[게시판](https://yona.xslab.co.kr/엑세스랩/HOWTO-V-Raptor-SQ-nano/posts)에서 관심있는 게시물을 클릭하여 시작해보세요

---
---
## [관리 Software](https://yona.xslab.co.kr/엑세스랩/HOWTO-V-Raptor-SQ-nano/post/1#yb-header-관리-software의-종류) Release Notes
## Web
### v1.1.4 (2024-06-13)
- RPM Package 생성 및 배포 구현 (Rocky Linux 9 지원)
- 테마 변경
- software 업데이트 서버에 요청할 때 package manager 정보를 전달하도록 수정
- 설치 제거 시에 사용되는 script 처리 개선
- backend: display: text에 대한 예외 처리 개선
- backend: terminal: sigquit에 의한 terminal thread 비정상 종료 방지

### v1.1.3 (2024-02-02)
- Web 및 Daemon 통신 처리 성능 및 안정성 향상

### v1.1.2 (2023-04-26)
- 펌웨어 업데이트 기능의 일부 팝업 표시 오류 수정

### v1.1.1 (2023-04-10)
- 영문 지원 추가
- "제품 문의" 버튼에 연결되는 주소 변경

### v1.1.0
- 초기 Release

---
## 데몬
### v1.3.9 (2024-06-13)
- RPM Package 생성 및 배포 구현 (Rocky Linux 9 지원)
- network: network manager 제어를 nmcli를 통해 지원하도록 구현 및 코드 정리
- cpack: post/pre rm script를 upgrade 시에 실행되지 않도록 수정

### v1.3.8 (2024-05-08)
- package를 chroot 환경에서 설치하는경우, fwupdmgr 설정에 대한 오류를 무시하도록 수정

### v1.3.7 (2024-02-02)
- Web 및 Daemon 통신 처리 성능 및 안정성 향상
- Network 설정 처리 개선
- Log 출력 개선
- 공통 코드 업데이트

### v1.3.6 (2023-09-08)
- fwupdmgr 설정 추가

### v1.3.5 (2022-12-15)
- 일부 장치에서 OS Recovery EFI Entry를 자동 생성 오류 수정

### v1.3.4 (2022-12-12)
- [XSLAB HTTP OS Recovery 기능](https://yona.xslab.co.kr/엑세스랩/HOWTO-V-Raptor-SQ-nano/post/23) 추가
- 필요시 OS Recovery EFI Entry를 자동으로 생성하도록 수정
- OLED Display 에 System의 Default IP Address를 표시하도록 수정

### v1.3.3 (2022-11-07)
- Firmware 업데이트 안정성 개선

### v1.3.2 (2022-11-04)
- [Reset 버튼을 길게 눌러 Network를 DHCP로 초기화](https://yona.xslab.co.kr/엑세스랩/HOWTO-V-Raptor-SQ-nano/post/20) 기능 추가

### v1.3.1
- 초기 Release

---
## 펌웨어
- WebUI를 통해 펌웨어 업데이트한 후 제품의 `전원을 끌 때 업데이트가 적용`됩니다
    - `$ sudo power off` 또는 제품의 `전원 스위치를 한 번 클릭`하여 업데이트를 적용할 수 있습니다

### v1.3.5 (2023-04-10)
- 일부 장치, 특정 상황에서 power on 또는 soft poweroff 오류 수정

### v1.3.4 (2022-12-12)
- 일부 장치에서 Soft Poweroff 후 다시 부팅 안되는 문제 수정
- reset 버튼을 짧게 누를 때 처리 오류 수정

### v1.3.3 (2022-11-07)
- 전원 제어 안정성 개선
- Debug USB를 연결한 상태에서 다음 문제 수정
    - WebUI를 통해 Firmware를 업데이트 후 전원을 다시 연결해도 Firmware 업데이트가 적용되지 않는 문제 수정
    - 제품의 전원이 켜진 상태에서, 전원을 분리 후 다시 연결하면 전원 버튼을 누르지 않더라도 자동으로 제품이 켜지는 문제 수정

### v1.3.2 (2022-11-04)
- [Reset 버튼을 길게 눌러 Network를 DHCP로 초기화](https://yona.xslab.co.kr/엑세스랩/HOWTO-V-Raptor-SQ-nano/post/20) 기능 추가
- 점유율이 100% 일 때, OLED Display에 정상적으로 출력되지 않는 문제 수정

### v1.3.1
- 초기 Release
